:root {
    --brand-color: #71B743;
    --banner-bg-color: #434343;
    --btn-accept-bg-color: #71B743;
    --btn-accept-border-color: #71B743;
    --btn-accept-text-color: #000;
    --btn-save-bg-color: #fff;
    --btn-save-border-color: #fff;
    --btn-save-text-color: #000;
    --btn-save-border-width: 1px;
    --line-break-color: var(--brand-color);
    --toggle-checked-bg-color: var(--brand-color);
    --toggle-checked-border-color: var(--brand-color);
    --cookie-icon-bg-color: var(--brand-color);
    --cookie-star-icon-color: #ffffff;
}

#ccc button {
    min-width: unset;
    margin-bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

#ccc #ccc-content {
    background-color: var(--banner-bg-color);
}

#ccc button:hover::before {
    background: none;
}

#ccc button:focus::before {
    background: none;
}

#ccc #ccc-icon.ccc-icon--dark #star path {
    fill: var(--cookie-star-icon-color);
}

#ccc * {
    font-family: Helvetica, sans-serif;
    text-transform: unset;
    letter-spacing: unset;
}

#ccc #ccc-title {
    padding-top: 0;
}

#ccc span {
    line-height: unset;
}

body .ccc-intro a {
    outline: none;
    text-decoration: underline;
    font-size: 0.875rem;
}

/*toggle button*/
body #ccc .checkbox-toggle--dark .checkbox-toggle-toggle {
    background-color: #ffffff;
}

/*line break section*/
body #ccc .ccc-content--dark hr {
    background-color: var(--line-break-color);
    opacity: 1;
}

/*width of cookie banner*/
body #ccc-module.ccc-module--slideout {
    max-width: 27.75rem;
}

.disableScroll {
    overflow: hidden;
    touch-action: none;
    -ms-touch-action: none;
}

body #ccc .ccc-notify-button {
    background-color: #16171A;
    color: #fff;
    height: 3.125rem
}

body #ccc .ccc-notify-button, body #ccc #ccc-dismiss-button {
    color: #fff;
}

/*button recommend*/
body #ccc #ccc-recommended-settings {
    width: 92.8%;
    margin: 0 auto;
    text-transform: uppercase;
    background-color: var(--btn-accept-bg-color);
    border-color: var(--btn-accept-border-color);
}

body #ccc #ccc-recommended-settings span {
    font-size: 1.125rem;
    font-weight: bold;
    color: var(--btn-accept-text-color);
}

/*toogle default*/
body #ccc .checkbox-toggle--slider.checkbox-toggle--dark {
    width: 3.125rem;
    height: 1.75rem;
    background-color: #000;
    border-color: #000;
}

body #ccc .checkbox-toggle--slider .checkbox-toggle-toggle {
    height: 1.625rem;
    width: 1.688rem;
    top: 50%;
    transform: translateY(-50%);
    left: -5%;
}

body #ccc .checkbox-toggle--slider input:checked~.checkbox-toggle-toggle {
    left: 43%;
}

body #ccc .checkbox-toggle:focus-within {
    outline: none;
}

/*toogle checked*/
body #ccc .checkbox-toggle.checkbox-toggle-checked {
    border-color: var(--toggle-checked-border-color);
    background: var(--toggle-checked-bg-color);
    transition: all 0.5s;
}

body #ccc #ccc-dismiss-button {
    float: right;
    min-width: 11.875rem;
    background-color: var(--btn-save-bg-color);
    border: var(--btn-save-border-width) solid var(--btn-save-border-color);
}

body #ccc #ccc-dismiss-button span {
    text-transform: uppercase;
    font-size: 1.125rem;
    font-weight: bold;
    color: var(--btn-save-text-color);
    background-color: transparent;
}

#ccc-info {
    display: none;
}

/*cookie icon*/
body #ccc-icon.ccc-icon--dark {
    fill: var(--cookie-icon-bg-color);
    min-width: auto;
    margin-bottom: 0;
    -webkit-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    outline: none;
    display: inline-block;
    max-width: 3.75rem;
    max-height: 3.75rem;
}

body .ccc-module--slideout~#ccc-icon {
    max-width: 0;
}

#ccc-button-holder{
    float: none !important;
}

@media screen and (max-width: 767px) {
    body #ccc #ccc-recommended-settings {
        width: 100%;
    }
}

#ccc-end {
    float: right;
}